Frage zum Nullpunkt in der Part Workbench

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
hutterede
Posts: 1
Joined: Fri Oct 18, 2019 8:44 am

Frage zum Nullpunkt in der Part Workbench

Postby hutterede » Fri Oct 18, 2019 8:51 am

Hallo Zusammen,

wenn ich in der Part Workbench z.b einen Würfel erstelle,liegt der Nullpunkt des Würfels immer an der linken Kante. Gibt es die Möglichkeit den Nullpunkt des Würfeld der X und Y Ebene in die Mitte zu versetzen?

Danke und Gruß Markus
chrisb
Posts: 19703
Joined: Tue Mar 17, 2015 9:14 am

Re: Frage zum Nullpunkt in der Part Workbench

Postby chrisb » Fri Oct 18, 2019 9:14 am

Hallo und willkommen.
Im DatenTab des Würfels Placement und Position aufklappen.
Bei x rechts auf das Funktionssymbol klicken und -Length/2 eingeben.
Analog für y und z verfahren.
mario52
Posts: 2693
Joined: Wed May 16, 2012 2:13 pm

Re: Frage zum Nullpunkt in der Part Workbench

Postby mario52 » Fri Oct 18, 2019 11:30 am

hi

try this snippet :

select your object run the macro (result the object is positioned in BoundBox.Center)

Code: Select all

#18/10/2019
import FreeCAD 
from FreeCAD import Base
try:
    sel = FreeCADGui.Selection.getSelection()
    sel[0].Placement.Base = FreeCAD.Vector(0,0,0)
    sel[0].Placement.Base = -sel[0].Shape.BoundBox.Center
except Exception:
    FreeCAD.Console.PrintError("Select your object" + "\n")
mario
Maybe you need a special feature, go into Macros_recipes and Code_snippets, Dialog creation. My macros on Gist.github.